<?php
/* Include Files *********************/
require_once('db-config.php');
require_once('inc/lib-compat-class.php');
require_once('inc/lib-recipe-core-class.php');
require_once('inc/lib-recipe-ui-class.php');
require_once('inc/lib-db-class.php');
require_once('inc/lib-login-class.php');
/*************************************/

$user	= new userManagement();
$rShelf	= new recipeShelf();

$rSdb->Init( true );


$rShelf->header();
$rShelf->headerBar();
$rShelf->dropFade();
$rShelf->language();
$rShelf->help();
$rShelf->admin();
$rShelf->msgboard();

if (!empty($_POST['pw']) && !$user->_logged_in )
	$rShelf->forgotPW();
else
	$rShelf->login();

if( $user->_logged_in ){
	$rShelf->HtmlShowOptionsPage();
}else{
    echo '<div id="rs-wrap" class="rs-wrap"></div>';
}

$rShelf->rightClickMenu();
$rShelf->footer();
?>